Existente

Hi,your LoTRCircles modpack gives me the message ``This modpack requires 1.5GB RAM You are using 1.0GB RAM`` and doesn`t open,I know that my computer have enough RAM,can you help me?
Posted by Existente on plowmanplow's profile 3 years ago

Comments

You must be logged in to comment. Click here to register a new account or log in.
Get more RAM
Posted by HigherKhaos 2 years ago